Package com.orchestranetworks.userservice.declaration

# Interface ActivationContextOnTableView

All Superinterfaces:
  `ActivationContext<TableViewEntitySelection>`, `ActivationContextWithDatasetSet<TableViewEntitySelection>`, `ActivationContextWithSchemaNodeSet<TableViewEntitySelection>`, `DatasetSet`, `DataspaceSet`

public interface ActivationContextOnTableView extends ActivationContextWithSchemaNodeSet<TableViewEntitySelection>
Provides a context to define the activation scope and permission rules for a user service being declared on a table level. Please refer to ActivationContext documentation for more information about the user service activation.

By default, the service is activated on all tables in all datasets in all opened non-technical branches in the repository; and there is no restriction about the number of selected records: that is 0 to n records can be selected to run the service.

In this context, the schema nodes used to define the activation are table nodes in the data model.

Since:
  5.8.0
See Also:
  - `UserServiceDeclaration.defineActivation(ActivationContext)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `DatasetSet.DatasetChildrenPolicy`

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `DataspaceSet.DataspaceChildrenPolicy, DataspaceSet.DataspaceType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `forbidEmptyRecordSelection()`
  Makes the selection of records mandatory.
  `void`
  `limitRecordSelection(int aNumberOfSelectedRecord)`
  Sets the record selection to a fixed value.

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContext

  `getAvailableToolbarLocations, setDefaultPermission, setDisplayForAllLocations, setDisplayForLocations, setPermissionRule`

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContextWithDatasetSet

  `getDataModelRootNode, setActivationRule`

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContextWithSchemaNodeSet

  `excludeSchemaNodesMatching, excludeSchemaNodesMatching, includeAllSchemaNodes, includeSchemaNodesMatching, includeSchemaNodesMatching`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `excludeDatasetsMatching, excludeDatasetsMatching, includeAllDatasets, includeDatasetsMatching, includeDatasetsMatching`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `excludeDataspacesMatching, excludeDataspacesMatching, includeAllDataspaces, includeDataspacesMatching, includeDataspacesMatching, setIgnoreDataspacesDefaultExcludes`

- ## Method Details

  - ### limitRecordSelection

    void limitRecordSelection(int aNumberOfSelectedRecord)
    Sets the record selection to a fixed value. That is, exactly `aNumberOfSelectedRecord` must be selected to run the service.

  - ### forbidEmptyRecordSelection

    void forbidEmptyRecordSelection()
    Makes the selection of records mandatory. That is, one to n records must be selected to run the service.